Runtime

## org.eclipse.gmf.runtime.common.ui.services.icon
Class IconService.ProviderDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
              org.eclipse.gmf.runtime.common.ui.services.icon.IconService.ProviderDescriptor

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener

Enclosing class:
  IconService

    protected static class IconService.ProviderDescriptor

extends Service.ProviderDescriptor

A descriptor for `IIconProvider` defined by a configuration element.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`A_CLASS, A_PLUGIN, E_POLICY, policy, policyInitialized, provider`

Constructor Summary
`IconService.ProviderDescriptor(IConfigurationElement element)` Constructs a `IIconProvider` descriptor for the specified configuration element.

Method Summary
`boolean` `provides(IOperation operation)` Indicates whether this provider descriptor can provide the functionality described by the specified `operation`.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`getElement, getPolicy, getProvider, providerChanged, toString`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### IconService.ProviderDescriptor

    public IconService.ProviderDescriptor(IConfigurationElement element)

  Constructs a `IIconProvider` descriptor for the specified configuration element.

  Parameters:
    `element` - The configuration element describing the provider.

Method Detail

### provides

    public boolean provides(IOperation operation)

  Description copied from class: `Service.ProviderDescriptor`
  Indicates whether this provider descriptor can provide the functionality described by the specified `operation`.

  Specified by:
    `provides` in interface `IProvider`
  Overrides:
    `provides` in class `Service.ProviderDescriptor`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this descriptor's policy or provider provides the operation; `false` otherwise.
  See Also:
    `IProvider.provides(org.eclipse.gmf.runtime.common.core.service.IOperation)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.